<?php

/**
 * This project has been generated by nuts generator
 * nuts has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 */

namespace Helper;

use Base\BaseHelper;
use Model\TransactiondebitModel;

class TransactiondebitHelper extends BaseHelper
{
    // public $alias=[:ALIAS_PROPERTY:];
    //public $relation=[];
    public $model = "\Model\TransactiondebitModel";

    public function __construct()
    {
        parent::__construct();
    }

    public function paging($input)
    {
        $model = new TransactiondebitModel();
        $model->paginating($input);
        $model = $model->getPaginate();
        return $model;
    }

    public function show($id)
    {
        $model = new TransactiondebitModel();
        $model = $model->findById($id);
        return $model;
    }

    public function store($input)
    {
        $this->beforeInsert($input["Transactiondebit"]);
        $model = new TransactiondebitModel($input["Transactiondebit"]);
        if (!$model->save()) {
            throw new \Exception();
        }
        return $model;
    }

    public function delete($id)
    {
        $this->beforeDelete($id);
        $model = TransactiondebitModel::find($id);
        if (!$model->delete()) {
            throw new \Exception();
        }
        return $model;
    }

    public function update($id, $input)
    {
        $this->beforeUpdate($id, $input);
        $model = TransactiondebitModel::find($id);
        $model->setProperty($input["Transactiondebit"]);
        if (!$model->update()) {
            throw new \Exception();
        }
        return $model;
    }


    public function storeFromTransaction($id, $input)
    {
        $model = new TransactiondebitModel($input["Transactiondebit"]);
        $model->setProperty($id);
        $model->transactionId = $id;
        if (!$model->save()) {
            throw new \Exception();
        }
        return $model;
    }
}